package com.sucl.sbmp.sys.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车型配件
 * <p>
 * create at 2019-12-31
 *
 * @author 钟奉池
 */
@Data
@NoArgsConstructor
public class SpecPart{
    @TableId(type = IdType.AUTO)
    protected Long id;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车型id
     */
    private Long modelId;
    /**
     * 配置代码
     */
    private String specCode;
    /**
     * 配件代码
     */
    private String partCode;
    /**
     * 配件名称
     */
    private String partName;
    /**
     * 使用数量
     */
    private Integer partCount;
    /**
     * 标准类型 （1：厂家标准，2：霏微标准）
     */
    private Integer stdType;
}
